Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class Material

    java.lang.Object
      gov.nasa.worldwind.Material

    public class Material

extends Object

Field Summary
`static int` | `AMBIENT`
`static Material` | `BLUE`
`static int` | `DIFFUSE`
`static int` | `EMISSION`
`static Material` | `GREEN`
`static Material` | `RED`
`static int` | `SPECULAR`
`static Material` | `WHITE`
`static Material` | `YELLOW`

Constructor Summary
`Material(Color specular, Color diffuse, Color ambient, Color emission, float shininess)`

Method Summary
`void` | `apply(GL gl, int face)`
`Color` | `getAmbient()`
`Color` | `getDiffuse()`
`Color` | `getEmission()`
`float` | `getShininess()`
`Color` | `getSpecular()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AMBIENT

    public static final int AMBIENT

See Also:
  Constant Field Values

### BLUE

    public static final Material BLUE

### DIFFUSE

    public static final int DIFFUSE

See Also:
  Constant Field Values

### EMISSION

    public static final int EMISSION

See Also:
  Constant Field Values

### GREEN

    public static final Material GREEN

### RED

    public static final Material RED

### SPECULAR

    public static final int SPECULAR

See Also:
  Constant Field Values

### WHITE

    public static final Material WHITE

### YELLOW

    public static final Material YELLOW

Constructor Detail

### Material

    public Material(Color specular,
                    Color diffuse,
                    Color ambient,
                    Color emission,
                    float shininess)

Parameters:
  `specular` -
  `diffuse` -
  `ambient` -
  `emission` -
  `shininess` -
Throws:
  `IllegalArgumentException` - if `specular`, `diffuse`, `ambient` or `emission` is null

Method Detail

### apply

    public void apply(GL gl,
                      int face)

### getAmbient

    public Color getAmbient()

### getDiffuse

    public Color getDiffuse()

### getEmission

    public Color getEmission()

### getShininess

    public float getShininess()

### getSpecular

    public Color getSpecular()

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD